%define	major	1
%define	libname	%mklibname %{name} %{major}
%define	devname	%mklibname -d %{name}
%define	staticname %mklibname -d -s %{name}

Summary:	Linux Key Management Utilities
Name:		keyutils
Version:	1.5.5
Release:	2
URL:		http://people.redhat.com/~dhowells/keyutils/
Source0:	http://people.redhat.com/~dhowells/keyutils/%{name}-%{version}.tar.bz2
Patch0:		keyutils-request-key-conf-add-cifs.upcall.patch
Group:		System/Base
License:	LGPLv2+

%description
Utilities to control the kernel key management facility and to provide
a mechanism by which the kernel call back to userspace to get a key
instantiated.

%package -n	%{libname}
Summary:	Linux Key Management Utilities
Group:		System/Libraries

%description -n	%{libname}
Librarie to control the kernel key management facility and to provide
a mechanism by which the kernel call back to userspace to get a key
instantiated.

%package -n	%{devname}
Summary:	Developement files for %libname
Group:		System/Libraries
Provides:	%{name}-devel = %{EVRD}
Requires:	%{libname} = %{EVRD}

%description -n	%{devname}
Developement files for %{libname}.

%prep
%setup -q
%patch0 -p1

%build
%make -j1 ETCDIR=%{_sysconfdir} BINDIR=/bin SBINDIR=/sbin LIBDIR=/%{_lib} \
	USRLIBDIR=%{_libdir} SHAREDIR=%{_datadir}/%{name} INCLUDEDIR=%{_includedir} \
	CFLAGS='%{optflags}' LDFLAGS="%{ldflags}"

%install
%makeinstall_std ETCDIR=%{_sysconfdir} BINDIR=/bin SBINDIR=/sbin LIBDIR=/%{_lib} \
	  USRLIBDIR=%{_libdir} SHAREDIR=%{_datadir}/%{name} INCLUDEDIR=%{_includedir}

# cleanup
rm -f %{buildroot}%{_libdir}/*.*a

%files
%doc README
%config(noreplace) %{_sysconfdir}/request-key.conf
/bin/keyctl
/sbin/request-key
/sbin/key.dns_resolver
%{_mandir}/man1/keyctl.1.*
%{_mandir}/man5/request-key.conf.5.*
%{_mandir}/man8/request-key.8.*
%{_mandir}/man8/key.dns_resolver.8*
%{_datadir}/%{name}/request-key-debug.sh

%files -n %{libname}
/%{_lib}/lib%{name}.so.%{major}*

%files -n %{devname}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_mandir}/man3/*.3.*


%changelog
* Wed Mar 07 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.5.5-2
+ Revision: 782713
- don't ship license files, as they're already shipped with 'common-licenses'
- use %%{EVRD} macro
- drop explicit lib%%{name}-devel provides
- cleanups

* Thu Dec 15 2011 Oden Eriksson <oeriksson@mandriva.com> 1.5.5-1
+ Revision: 741653
- repackage the tar ball (wtf?)
- 1.5.5
- use %%ldflags
- various cleanups

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 1.2-12
+ Revision: 666026
- mass rebuild

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2-11mdv2011.0
+ Revision: 606262
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2-10mdv2010.1
+ Revision: 519014
- rebuild

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.2-9mdv2010.0
+ Revision: 425484
- rebuild

* Tue Nov 25 2008 Nicolas Vigier <nvigier@mandriva.com> 1.2-8mdv2009.1
+ Revision: 306648
- keyctl should be in /bin (as referenced in /etc/request-key.conf)

* Tue Nov 25 2008 Pascal Terjan <pterjan@mandriva.org> 1.2-7mdv2009.1
+ Revision: 306641
- request-key needs to be in /sbin (the kernel want it there)

* Thu Oct 30 2008 Buchan Milne <bgmilne@mandriva.org> 1.2-6mdv2009.1
+ Revision: 298767
- Disable parallel build (breaks on smp if -devel package not installed)

* Wed Oct 29 2008 Buchan Milne <bgmilne@mandriva.org> 1.2-5mdv2009.1
+ Revision: 298578
- Add lines to /etc/request-key.conf for cifs.upcall required for krb5
  support for mount.cifs

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 1.2-4mdv2009.0
+ Revision: 247744
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Feb 14 2008 Thierry Vignaud <tv@mandriva.org> 1.2-2mdv2008.1
+ Revision: 168032
- fix no-buildroot-tag

* Thu Sep 06 2007 Nicolas Vigier <nvigier@mandriva.com> 1.2-2mdv2008.0
+ Revision: 80748
- build with optflags
- run ldconfig

* Thu Sep 06 2007 Nicolas Vigier <nvigier@mandriva.com> 1.2-1mdv2008.0
+ Revision: 80726
- Import keyutils

